package org.dromara.payment.earlyWarn.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.payment.earlyWarn.domain.bo.LgEarlyWarnBo;
import org.dromara.payment.earlyWarn.domain.vo.LgEarlyWarnVo;


import java.util.Collection;
import java.util.List;

/**
 * 风控预警设置Service接口
 *
 * @author LionLi
 * @date 2025-06-10
 */
public interface ILgEarlyWarnService {

    /**
     * 查询风控预警设置
     */
    LgEarlyWarnVo queryById(Long id);

    /**
     * 查询风控预警设置列表
     */
    TableDataInfo<LgEarlyWarnVo> queryPageList(LgEarlyWarnBo bo, PageQuery pageQuery);

    /**
     * 查询风控预警设置列表
     */
    List<LgEarlyWarnVo> queryList(LgEarlyWarnBo bo);

    /**
     * 新增风控预警设置
     */
    Boolean insertByBo(LgEarlyWarnBo bo);

    /**
     * 修改风控预警设置
     */
    Boolean updateByBo(LgEarlyWarnBo bo);

    /**
     * 校验并批量删除风控预警设置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
